Bug 1119085 - [abrt] xfce4-panel: XScreenCount(): xfce4-panel killed by SIGSEGV
Summary: [abrt] xfce4-panel: XScreenCount(): xfce4-panel killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0241a8fbb49706549a0ce6730f3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 23:06 UTC by mdeggers
Modified: 2015-06-30 01:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:04:46 UTC


Attachments (Terms of Use)
File: backtrace (7.63 KB, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: cgroup (181 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: core_backtrace (1008 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: dso_list (6.62 KB, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: environ (938 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: maps (31.55 KB, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: open_fds (353 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details
File: var_log_messages (366 bytes, text/plain)
2014-07-13 23:06 UTC, mdeggers
no flags Details

Description mdeggers 2014-07-13 23:06:13 UTC
Version-Release number of selected component:
xfce4-panel-4.10.1-3.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: XScreenCount
executable:     /usr/bin/xfce4-panel
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 XScreenCount at Macros.c:108
 #1 panel_application_load at panel-application.c:1206

Potential duplicate: bug 831563

Comment 1 mdeggers 2014-07-13 23:06:15 UTC
Created attachment 917641 [details]
File: backtrace

Comment 2 mdeggers 2014-07-13 23:06:19 UTC
Created attachment 917642 [details]
File: cgroup

Comment 3 mdeggers 2014-07-13 23:06:20 UTC
Created attachment 917643 [details]
File: core_backtrace

Comment 4 mdeggers 2014-07-13 23:06:21 UTC
Created attachment 917644 [details]
File: dso_list

Comment 5 mdeggers 2014-07-13 23:06:21 UTC
Created attachment 917645 [details]
File: environ

Comment 6 mdeggers 2014-07-13 23:06:22 UTC
Created attachment 917646 [details]
File: exploitable

Comment 7 mdeggers 2014-07-13 23:06:25 UTC
Created attachment 917647 [details]
File: limits

Comment 8 mdeggers 2014-07-13 23:06:26 UTC
Created attachment 917648 [details]
File: maps

Comment 9 mdeggers 2014-07-13 23:06:27 UTC
Created attachment 917649 [details]
File: open_fds

Comment 10 mdeggers 2014-07-13 23:06:31 UTC
Created attachment 917650 [details]
File: proc_pid_status

Comment 11 mdeggers 2014-07-13 23:06:32 UTC
Created attachment 917651 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-07-14 01:51:06 UTC
What were you doing when this happened?

Can you duplicate it?

Comment 13 mdeggers 2014-07-14 02:55:58 UTC
(In reply to Kevin Fenzi from comment #12)
> What were you doing when this happened?
> 
> Can you duplicate it?

I've walked through the scenarios that I think may have caused it, and none have recreated the segfault.

I normally run a vncserver with xfce, since that windowing system doesn't require accelerated graphics. Unfortunately, I cannot get systemd to start the vncserver, so I start it by hand once the system comes up.

I occasionally try to get systemd to bring up the vncserver, but I've not been successful, and I've not spent enough time on it to track down the problem. I may have tried using systemd to bring up the vncserver at that time, but I just tried to do that, and no segfault.

I also thought that I could have accessed the system via vnc after the xauth update on the 9th of July, but the time is from after I would have rebooted the system due to a kernel update on the 12th.

We haven't had a kernel update since then, and I've rebooted the box (and used xfce) with no issues.

In short, I've got no good idea. I'll think about this some more and see if there are other triggers that could have caused a segfault with the xfce panel.

Comment 14 Fedora End Of Life 2015-05-29 12:21:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-30 01:04:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.